> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Update a governance group

PATCH https://api.postman.com/governance-groups/{groupId}
Content-Type: application/merge-patch+json

Updates a governance group's name or description.

**Note:**

Postman-managed governance groups (`type: system`) can't be updated and return an HTTP `403 Forbidden` response.


Reference: https://learning.postman.com/api-docs/api-reference/api-governance/update-governance-group

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Path parameters

- `groupId` (string, required) — The governance group's ID.

### Body (application/merge-patch+json)

This endpoint expects a governanceGroupUpdate.

- `name` (string, optional) — The governance group's name.
- `description` (string, optional) — The governance group's description.

## Response

### 200

Governance Group Updated

- `id` (string, required) — The resource's ID.

## Errors

### 400 Bad Request Error

Bad Request

- `UpdateGovernanceGroupRequestBadRequestError`

### 401 Unauthorized Error

Unauthorized

- `UpdateGovernanceGroupRequestUnauthorizedError`

### 403 Forbidden Error

Forbidden

- `UpdateGovernanceGroupRequestForbiddenError`

### 404 Not Found Error

Not Found

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 409 Conflict Error

Conflict

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 500 Internal Server Error

Internal Server Error

- `UpdateGovernanceGroupRequestInternalServerError`

## Types

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessageDetails

- `error` (CommonErrorNameMessageDetailsError, optional) — Information about the error.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### CommonErrorTypeTitleDetailStatusType

The type of error.

### CommonErrorTypeTitleDetailDetail

Information about the error.

### CommonErrorNameMessageDetailsError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.
- `details` (CommonErrorNameMessageDetailsErrorDetails, optional) — Information about the error.

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### CommonErrorNameMessageDetailsErrorDetails

Information about the error.

## Examples

### Governance Group Updated

**Request**

```json
undefined
```

**Response**

```json
{
  "id": "01JWSGROUP0123456789ABCDEF"
}
```

**SDK Code**

```python Governance Group Updated
import requests

url = "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF"

headers = {"x-api-key": "<apiKey>"}

response = requests.patch(url, headers=headers)

print(response.json())
```

```javascript Governance Group Updated
const url = 'https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF';
const options = {method: 'PATCH', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Governance Group Updated
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF"

	req, _ := http.NewRequest("PATCH", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Governance Group Updated
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Governance Group Updated
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Governance Group Updated
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Governance Group Updated
using RestSharp;

var client = new RestClient("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Governance Group Updated
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Update Governance Group

**Request**

```json
{
  "name": "Payments workspaces (v2)"
}
```

**Response**

```json
{
  "id": "01JWSGROUP0123456789ABCDEF"
}
```

**SDK Code**

```python Update Governance Group
import requests

url = "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF"

payload = "{\n  \"name\": \"Payments workspaces (v2)\"\n}"
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/merge-patch+json"
}

response = requests.patch(url, data=payload, headers=headers)

print(response.json())
```

```javascript Update Governance Group
const url = 'https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF';
const options = {
  method: 'PATCH',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/merge-patch+json'},
  body: '{\n  "name": "Payments workspaces (v2)"\n}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Update Governance Group
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF"

	payload := strings.NewReader("{\n  \"name\": \"Payments workspaces (v2)\"\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/merge-patch+json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Update Governance Group
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/merge-patch+json'
request.body = "{\n  \"name\": \"Payments workspaces (v2)\"\n}"

response = http.request(request)
puts response.read_body
```

```java Update Governance Group
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/merge-patch+json")
  .body("{\n  \"name\": \"Payments workspaces (v2)\"\n}")
  .asString();
```

```php Update Governance Group
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF', [
  'body' => '{
  "name": "Payments workspaces (v2)"
}',
  'headers' => [
    'Content-Type' => 'application/merge-patch+json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Update Governance Group
using RestSharp;

var client = new RestClient("https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF");
var request = new RestRequest(Method.PATCH);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/merge-patch+json");
request.AddParameter("application/merge-patch+json", "{\n  \"name\": \"Payments workspaces (v2)\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Update Governance Group
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/merge-patch+json"
]

let postData = NSData(data: "{
  "name": "Payments workspaces (v2)"
}".data(using: String.Encoding.utf8)!)

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/governance-groups/01JWSGROUP0123456789ABCDEF")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```